#include <bits/stdc++.h>

using namespace std;

long long n,i,s,j,p;
long long a[100007];

int main(){
    cin >> n;
    for(i=1;i<=n;i++){
        cin >> a[i];
    }
    sort(a+1,a+1+n);
    for(i=n;i>=1;i--){
        if(a[i]==a[n] && a[i]>0 && a[i]-p>0) s+=a[i];
        else if(a[i]>0 && a[i]==a[i+1] && a[i]-p>0) s+=a[i]-p+1;
        else if(a[i]>0 && a[i]-p>0) s+=a[i]-p;
        p++;
    }
    cout << s;
    return 0;
}
